This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 76634 - battstat-applet-2 crash (segfault)
battstat-applet-2 crash (segfault)
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-24 08:53 EDT by diego.santacruz
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 21:45:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace of crashed battstat-applet-2 (manually obtained) (2.95 KB, text/plain)
2002-10-24 08:55 EDT, diego.santacruz
no flags Details

  None (edit)
Description diego.santacruz 2002-10-24 08:53:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
when logging in GNOME, battstat-applet-2 often crashes when starting up. If I
just click on "Yes" to the dialog proposing to restart the applet it restarts
without problem.

Version-Release number of selected component (if applicable):
gnome-applets-2.0.1-6

How reproducible:
Sometimes

Steps to Reproduce:
1. add battstat-applet-2 ("battery charge monitor") to the gnome panel
2. logout
3. login
	

Actual Results:  Quite often, battstat-applet-2 crashes (segfault) when starting
up. The panel proposes to restart it and clicking "Yes", battstat-applet-2
starts up OK.

Expected Results:  battstat-applet-2 should not crash.

Additional info:
Using the gnome automatic bug report toll to get a stack trace did not work.
Comment 1 diego.santacruz 2002-10-24 08:55:22 EDT
Created attachment 81924 [details]
stack trace of crashed battstat-applet-2 (manually obtained)
Comment 2 Havoc Pennington 2002-11-04 16:14:44 EST
We should also report this at bugzilla.gnome.org (and add comments to each bug
pointing to the other bug)
Comment 3 Havoc Pennington 2003-01-12 21:45:22 EST
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103277

Note You need to log in before you can comment on or make changes to this bug.